Fix update.sh for debian (?)

hopefully
This commit is contained in:
mathieui 2017-10-07 20:59:38 +02:00
parent e8e1e1bbd1
commit 4b51ce97e9

View file

@ -17,17 +17,15 @@ then
POEZIO_PYTHON=python3 POEZIO_PYTHON=python3
fi fi
if ! command -v "$POEZIO_PYTHON" > /dev/null 2>&1 command -v "$POEZIO_PYTHON" > /dev/null 2>&1 || {
then
echo "Python executable '$POEZIO_PYTHON' not found." echo "Python executable '$POEZIO_PYTHON' not found."
exit 1 exit 1
fi }
if ! $POEZIO_PYTHON -c 'import venv' &> /dev/null $POEZIO_PYTHON -c 'import venv' &> /dev/null || {
then
echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.4) installed," echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.4) installed,"
exit 1 exit 1
fi }
echo 'Updating poezio' echo 'Updating poezio'
git pull --ff-only origin master || { git pull --ff-only origin master || {